
D4Science Infrastructure - Support #12032

ip-90-147-166-112.ct1.garrservices.it: too many opened connection to node66.p.d4science

Jun 26, 2018 10:16 AM - Roberto Cirillo

Status: Closed Start date: Jun 26, 2018

Priority: Normal Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: Other Estimated time: 0.00 hour

Infrastructure: Production   

Description

Who is this host?

I'm not able to access to this host: ip-90-147-166-112.ct1.garrservices.it 

Please could you give me access? We should understand why there are a lot of connections opened from this host to the following

host:

node66.p.d4science.research-infrastructures.eu:8080

Related issues:

Related to D4Science Infrastructure - Task #12031: gCubeApps - IS-Collector: ... Closed Jun 26, 2018

History

#1 - Jun 26, 2018 10:17 AM - Roberto Cirillo

- Target version changed from UnSprintable to node66.p: too many open connection

#2 - Jun 26, 2018 10:17 AM - Roberto Cirillo

- Related to Task #12031: gCubeApps - IS-Collector: too many open connections added

#3 - Jun 26, 2018 11:16 AM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

It's the IP address that's used by the hosts without a public IP. So there's one (or more than one) of the private IP dataminer that went crazy.

#4 - Jun 26, 2018 11:41 AM - Roberto Cirillo

Andrea Dell'Amico wrote:

It's the IP address that's used by the hosts without a public IP. So there's one (or more than one) of the private IP dataminer that went crazy.

 Could I have access to this VM? Otherwise the next month I'll ask you the same question: who is this host?

Maybe yes, there is a crazy dataminer behind this host. I need further analysis.

#5 - Jun 27, 2018 12:34 PM - Roberto Cirillo

- File dm-192-168-100-6-ghn.2018-06-25.0.log added

- Status changed from New to Feedback

- Assignee changed from Roberto Cirillo to Andrea Dell'Amico

I've verified the logs on all the dataminer instances with private ip.  I see the same exceptions found on ckan-bb1, at the time when the IS-Collector

was restarted.  In attachment the log of dm-192-168-100-6 instance.

Maybe it's better to try to restart these containers in order to improve (I hope) the IS-Collector performance. What do you think

@andrea.dellamico@isti.cnr.it ?

#6 - Jun 27, 2018 12:49 PM - Andrea Dell'Amico

Go on. One at a time, you can restart each one.

If the connections problem persists, we can even restart all the dataminers once a day. If we restart the service only when no jobs are running, there's

no risk of breaking anything.
#7 - Jun 27, 2018 02:05 PM - Roberto Cirillo

- Status changed from Feedback to In Progress

- Assignee changed from Andrea Dell'Amico to Roberto Cirillo

OK. I'm going to restart the services one at a time

#8 - Jun 27, 2018 02:23 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The services have been restarted. Now I see 0 opened connections from 90.147.166.112. I'm going to close this ticket.

Files

dm-192-168-100-6-ghn.2018-06-25.0.log 1.83 MB Jun 27, 2018 Roberto Cirillo
